yakuake shortcut conflicts (gnome) [Solved]

If you are new to Linux or new to Sabayon Linux and just not sure where to post, here ya go. Post without fear of being told to RTFM :-)

Moderator: Moderators

yakuake shortcut conflicts (gnome) [Solved]

Postby nievous » Sat Sep 26, 2009 1:29

I just insalled yakuake on my sabayon 4.2 (32 bit) (gnome).

The problem is that i can't assign any shortcuts to yakuake. I get the following error:

Code: Select all
The shortcut 'F12' conflicts with the following key combinations:



And the solution for KDE: http://forum.sabayonlinux.org/viewtopic.php?f=59&t=16196&start=0&hilit=yakuake doesn´t work for me.
nievous
Young Hen
 
Posts: 28
Joined: Sat Sep 26, 2009 0:54

Re: yakuake shortcut conflicts (gnome)

Postby Fitzcarraldo » Sat Sep 26, 2009 11:46

As an alternative to Yakuake you could try Tilda (x11-terms/tilda), which is similar to Yakuake but apparently works with GNOME. It's in Portage and Entropy.

Another alternative is Guake, although that is not in the main Portage tree or Entropy. However there is an ebuild for Guake in Gentoo Bugzilla Bug Report No. 227559 so, if you are familiar with local overlays, you could install it using a local overlay.

:arrow: Yakuake for Gnome
User avatar
Fitzcarraldo
Sagely Hen
 
Posts: 7977
Joined: Sat Mar 10, 2007 5:40
Location: United Kingdom

Re: yakuake shortcut conflicts (gnome)

Postby nievous » Sun Sep 27, 2009 5:52

Tilda becomes in a gray square after a while...
I was trying to make an overlay, but i fail (i never used a gentoo based distro before)...

-_-
nievous
Young Hen
 
Posts: 28
Joined: Sat Sep 26, 2009 0:54

Re: yakuake shortcut conflicts (gnome)

Postby Fitzcarraldo » Mon Sep 28, 2009 20:59

Well, I'm not at home for a couple of weeks and don't have access to my SL installation while I'm away, but installing Guake using a local overlay would go something like the following:

1. Surf over to Gentoo Bugzilla Report No. 227559 and download the file guake-0.4.0.ebuild to directory /home/fitzcarraldo/Desktop/ (replace "fitzcarraldo" with your username, of course).

2. As the root user edit the file /etc/make.conf and add the following line if it's not already there:

Code: Select all
PORTDIR_OVERLAY="${PORTDIR_OVERLAY} /usr/local/portage/"


3. Perform the following commands as root user:

Code: Select all
mkdir -p /usr/local/portage/x11-terms/guake
cp /home/fitzcarraldo/Desktop/guake-0.4.0.ebuild /usr/local/portage/x11-terms/guake/
cd /usr/local/portage/x11-terms/guake/
ebuild guake-0.4.0.ebuild manifest
emerge -1v guake

According to Comment No. 11 in the above-mentioned Gentoo Bugzilla report the ebuild is missing a dependency on dev-python/dbus-python, so you will probably have to edit the ebuild and add the missing dependency, in which case the ebuild file would probably need to be:

Code: Select all
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit gnome2

DESCRIPTION="Guake is a drop-down terminal for Gnome"
HOMEPAGE="http://guake-terminal.org/"
SRC_URI="http://trac.guake-terminal.org/files/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

DEPEND=">=dev-lang/python-2.4
        dev-python/dbus-python
        dev-python/gnome-python
        dev-python/notify-python
        x11-libs/vte"

src_compile() {
   if !built_with_use x11-libs/vte python ; then
                eerror "This package requires x11-libs/vte with compiled with python support."
                die "Please reemerge x11-libs/vte with USE=\"python\"."
        fi
   econf || die "configuration failed"
   emake || die "make failed"
}

src_install() {
   export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
   emake DESTDIR="${D}" install || die "installation failed"
   unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
   
}

pkg_preinst() {
   gnome2_gconf_savelist
}
User avatar
Fitzcarraldo
Sagely Hen
 
Posts: 7977
Joined: Sat Mar 10, 2007 5:40
Location: United Kingdom

Re: yakuake shortcut conflicts (gnome)

Postby kodiakmax » Sat Oct 03, 2009 18:00

I had the same error as you a while back. I had to downgrade my yakuake to ver. 2.8.1 However, that version uses KDE 3.5.10 libraries, so take that into account for your system i you do it. I'm still downloading SL5 so If anything changes for me I'll let you know.
If you check the wiki, use the search function and google you can find the answer to most of your questions.

Remember to mark your thread [Solved] if your issue is fixed.
kodiakmax
Advanced Hen
 
Posts: 278
Joined: Thu Oct 16, 2008 23:46

Re: yakuake shortcut conflicts (gnome)

Postby kodiakmax » Sun Oct 04, 2009 22:06

Well, I just did a fresh SL5 install and yakuake ver. 2.9.6 is working like a champ and assigning the key combos as I want.
If you check the wiki, use the search function and google you can find the answer to most of your questions.

Remember to mark your thread [Solved] if your issue is fixed.
kodiakmax
Advanced Hen
 
Posts: 278
Joined: Thu Oct 16, 2008 23:46

Re: yakuake shortcut conflicts (gnome)

Postby nievous » Wed Oct 07, 2009 18:25

the kodiakmax`s "solution" works for me too :P
nievous
Young Hen
 
Posts: 28
Joined: Sat Sep 26, 2009 0:54


Return to Beginners|Newbies Area

Who is online

Users browsing this forum: No registered users and 0 guests

cron